summaryrefslogtreecommitdiff
path: root/intltoolize.in
diff options
context:
space:
mode:
authorthomasvs <>2003-12-31 18:09:18 +0000
committerthomasvs <>2003-12-31 18:09:18 +0000
commit465316bebc3171cbc4618e6961223c4c5ea357dd (patch)
treefc4fe70fff11eeb9576410551b6695ae19660e16 /intltoolize.in
parente0a5f1094d335758c0b709aec96924a3abe2fd22 (diff)
downloadintltool-465316bebc3171cbc4618e6961223c4c5ea357dd.tar.gz
make sure intltoolize errors out on errors
Diffstat (limited to 'intltoolize.in')
-rw-r--r--intltoolize.in7
1 files changed, 6 insertions, 1 deletions
diff --git a/intltoolize.in b/intltoolize.in
index c5d16ce..c30d3db 100644
--- a/intltoolize.in
+++ b/intltoolize.in
@@ -267,9 +267,14 @@ for file in $deep_files; do
echo "$progname: cannot copy '$pkgdatadir/$file' to '$dirname'" 1>&2
status=1
fi
+ else
+ echo "$progname: cannot execute $mkinstalldirs" 1>&2
+ status=1
fi
done
-)
+exit $status
+# make sure this subshell exits with the exit value if it failed
+) || exit $?
# FIXME: This probably does not work w/ builddir != srcdir because it
# gets at source files relative to the current directory.